Robotics Systems Commons - Enhancement #2065

Unintuitive exception in rsc::0s::getProgramName in case of invalid PID for LinuxProcessinfo

10/22/2014 01:47 PM - J. Wienke

Status: Resolved Start date: 10/22/2014
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Operating System Abstraction Estimated time: 0.00 hour
Target version: rsb-0.11

Description

See #2058 for the original issue.

terminate called after throwing an instance of 'std::runtime_error'
what(): Could not determine program name: basic_ios::clear

Related issues:

Copied from RSB Performance Monitoring - Bug # 2058: Starting the process-mon...

Rejected

10/13/2014

Associated revisions

Revision 634e92dd - 10/22/2014 02:27 PM - J. Wienke

Better exception message for getProgramName

In case a process does not exist, throw something more intuitive than an

internal detail of the stream.

fixes #2065

History

#1 - 10/22/2014 01:47 PM - J. Wienke

- Copied from Bug #2058: Starting the process-monitor with an incorrect PID leads to a strange error message added

#2 - 10/22/2014 02:30 PM - J. Wienke
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Applied in changeset commit:rsc|634e92ddd16cffadec09a10579dc7283247def2f.
